//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "siComp"
#pragma resource "*.dfm"

class PASCALIMPLEMENTATION TAccessLang : public TsiCustomLang
{
   typedef TsiCustomLang inherited;
  public:
    Forms::TForm* __fastcall CreateMessageDialog(const AnsiString Msg, Dialogs::TMsgDlgType DlgType, Dialogs::TMsgDlgButtons Buttons, const Dialogs::TMsgDlgBtn DefaultBtn = (Dialogs::TMsgDlgBtn)(0x2), const Dialogs::TMsgDlgBtn CancelBtn = (Dialogs::TMsgDlgBtn)(0x3)) {
      return (TsiCustomLang::CreateMessageDialog(Msg, DlgType, Buttons, DefaultBtn, CancelBtn));
    }
};


int __fastcall InternalMessageDlg(const TsiCustomLang * siLang, const AnsiString MsgCaption, const AnsiString Msg, Dialogs::TMsgDlgType DlgType, Dialogs::TMsgDlgButtons Buttons, int HelpCtx, const Dialogs::TMsgDlgBtn DefaultBtn = (Dialogs::TMsgDlgBtn)(0x2), const Dialogs::TMsgDlgBtn CancelBtn = (Dialogs::TMsgDlgBtn)(0x3)){ 
  TAccessLang * ALang = (TAccessLang *)siLang; 
  TForm * MsgForm = ALang->CreateMessageDialog(Msg, DlgType, Buttons, DefaultBtn, CancelBtn);
  int I; 
  try 
  { 
    MsgForm->HelpContext = HelpCtx; 
    MsgForm->HelpFile = Application->HelpFile; 
    MsgForm->Caption = MsgCaption;
    I = MsgForm->ShowModal(); 
    return (I); 
  }
  __finally 
  { 
    MsgForm->Release(); 
  } 
  return (I); 
}

TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
  InternalMessageDlg(siLang1, siLang1->GetTextOrDefault("IDS_0" /* "Some caption" */ ), siLang1->GetTextOrDefault("IDS_1" /* "Some message text!" */ ), mtWarning, TMsgDlgButtons() << mbOK << mbCancel << mbYes << mbNo, 0, mbOK, mbCancel);
}
//---------------------------------------------------------------------------
